1. triggers
Peach
  • template-messages
    • Send a pre-approved template message
      POST
    • Poll template message status
      GET
    • Poll template messages status
      GET
    • Connect to AI Agent
      POST
    • Send an App message
      POST
  • broadcasts
    • List broadcasts
      GET
    • Launch a broadcast
      POST
    • Poll broadcast status
      GET
    • Get broadcast details
      GET
    • Archive broadcast
      PATCH
    • Cancel broadcast
      PATCH
  • whatsapp_templates
    • List all templates
      GET
    • Create a template
      POST
    • Update template
      PATCH
    • Archive template
      PATCH
    • Pause template
      PATCH
    • Submit template
      PATCH
    • Fetch template details
      GET
  • conversations
    • List messages
      GET
    • List conversations
      GET
    • Update conversation status
      PATCH
    • Agent Assignment
      POST
    • Close Conversation
      POST
  • contacts
    • Create multiple contacts
    • Update a contact
    • Create a contact
    • Bulk update communication preferences
    • Create setup guest link
    • Expire setup guest link
    • Regenerate setup guest link
  • orders
    • Create an order
    • Find order by ID
    • Create a refund for an order
  • medias
    • About uploaded media
    • List available medias
    • Add a media (Deprecated)
    • Remove a media
    • Create a direct upload for media
    • Finalize a direct uploaded media
  • webhooks
    • Order status webhooks
    • Flow execution status webhooks
    • Message delivery status webhooks
    • AI Agent Execution Webhooks
  • streams
    • List automations
    • Create automation
    • Get automation
    • Update automation
    • Trigger automation
  • triggers
    • List triggers
      GET
    • Create trigger
      POST
    • Update trigger
      PATCH
  • expressions
    • List condition library
  • Schemas
    • Schemas
      • WhatsApp Template
      • WhatsApp Template Parameters
      • Order
      • RefundRequest
      • Contact
      • LineItem
      • OrderExpiry
      • TemplateMessage
      • AnyValue
      • Argument
      • Message
      • MessageResponse
  1. triggers

Update trigger

PATCH
/api/v1/triggers/{id}
Update variables, data_mappings (replaces all), description, or activation. activate:true activates (registers webhooks); false pauses.

Request

Authorization
Add parameter in header
Authorization
Example:
Authorization: ********************
Path Params

Body Params application/json

Example
{
    "variables": {
        "property1": "string",
        "property2": "string"
    },
    "data_mappings": [
        {
            "mapping_for": "recipient",
            "value": {
                "property1": "string",
                "property2": "string"
            }
        }
    ],
    "description": "string",
    "activate": true
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/api/v1/triggers/trig_1234abcd' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "variables": {
        "property1": "string",
        "property2": "string"
    },
    "data_mappings": [
        {
            "mapping_for": "recipient",
            "value": {
                "property1": "string",
                "property2": "string"
            }
        }
    ],
    "description": "string",
    "activate": true
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "id": "string",
    "stream_id": "string",
    "status": "draft",
    "description": "string",
    "condition": {
        "expression_id": "string",
        "topic": "string",
        "variables": {}
    },
    "data_mappings": [
        {
            "mapping_for": "recipient",
            "value": {
                "property1": "string",
                "property2": "string"
            }
        }
    ]
}
🟠404Not found
Modified at 2026-06-03 12:30:45
Previous
Create trigger
Next
List condition library
Built with